Subject: [[email-masked]: Re: Git vs svn. Is ... possible ?]

From: Rafał Mużyło <[email-masked]>
Date: Fri, 28 Mar 2008 15:34:49 +0100

----- Forwarded message from Rafał Mużyło <[email-masked]> -----

Date: Fri, 28 Mar 2008 15:15:36 +0100
From: Rafał Mużyło <[email-masked]>
To: Adam Piatyszek <[email-masked]>
Subject: Re: Git vs svn. Is ... possible ?
Message-ID: <20080328141536.GC32646@blackspire>
References: <20080328132438.GA32646@blackspire>
	<[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <[email-masked]>
User-Agent: Mutt/1.5.16 (2007-06-09)
Status: RO

On Fri, Mar 28, 2008 at 02:36:25PM +0100, Adam Piatyszek wrote:
> Hi Rafał,
>
> * Rafa? Mu?y?o [28 III 2008 14:24]:
>> Well, the actual question is:
>> In svn I can do a remote diff (diff between two remote revisions) without
>> having to do a checkout, is this possible for git ?
>
> The question makes no sense to me. Git by design is a distributed SCM tool, 
> so there is no such thing like "remote revisions". You can have tracking 
> branches (clones) of some remote repositories, but all the commits on such 
> branches are also stored locally. So you have full access to them, even 
> without a permanent connection to such remote repositories.
>
It's a really simple question.
For svn I can do:
svn diff http:\\<svn path>@<rev. number 1>  http:\\<svn path>@<rev.
number 2>
Can I do the same for git, to avoid `git clone` ?

>
> PS. The encoding you used for your message is not playing well with the 
> Polish accented characters in your name ;)
I think it's your mail program, which is not plaing well with received
mail. My message was a standard, plain-text, UTF-8 encoded email sent by
mutt.

----- End forwarded message -----

This was meant to be sent to the list, not to a single user.